using System.Text.Json;
using System.Text.Json.Serialization;

namespace SVSim.Bootstrap.Models.Seed;

public sealed class ColosseumSeed
{
    [JsonPropertyName("id")] public int Id { get; set; } = 1;
    [JsonPropertyName("colosseum_id")] public string ColosseumId { get; set; } = "";
    [JsonPropertyName("colosseum_name")] public string ColosseumName { get; set; } = "";
    [JsonPropertyName("card_pool_name")] public string CardPoolName { get; set; } = "";
    [JsonPropertyName("deck_format")] public string DeckFormat { get; set; } = "";
    [JsonPropertyName("start_time")] public string StartTime { get; set; } = "";
    [JsonPropertyName("end_time")] public string EndTime { get; set; } = "";
    [JsonPropertyName("now_round")] public string NowRound { get; set; } = "";
    [JsonPropertyName("is_display_tips")] public string IsDisplayTips { get; set; } = "";
    [JsonPropertyName("tips_id")] public string TipsId { get; set; } = "";
    [JsonPropertyName("is_colosseum_period")] public bool IsColosseumPeriod { get; set; }
    [JsonPropertyName("is_round_period")] public bool IsRoundPeriod { get; set; }
    [JsonPropertyName("is_normal_two_pick")] public string IsNormalTwoPick { get; set; } = "";
    [JsonPropertyName("is_special_mode")] public string IsSpecialMode { get; set; } = "";
    [JsonPropertyName("is_all_card_enabled")] public int IsAllCardEnabled { get; set; }
    [JsonPropertyName("sales_period_info")] public JsonElement SalesPeriodInfo { get; set; }
}
